Subject: Re: [PATCH iproute2-next] Introduce ip-brctl shell script

From: Stefano Brivio <[email-masked]>
Date: Fri, 25 Jan 2019 11:05:43 +0100

Hi Roopa,

On Wed, 23 Jan 2019 08:33:27 -0800
Roopa Prabhu <[email-masked]> wrote:

> On Wed, Jan 23, 2019 at 7:09 AM Nikolay Aleksandrov
> <[email-masked]> wrote:
>
> > Hi,
> > IMO the effort should be towards improving iproute2 to be
> > easier to use and more intuitive. We should be pushing people to
> > use the new tools instead of trying to find workarounds to keep the
> > old tools alive. I do like to idea of deprecating bridge-utils, but
> > I think it should be done via improving ip/bridge enough to be
> > pleasant to use. We will have to maintain this compatibility layer
> > forever if it gets accepted and we'll never get rid of brctl this
> > way. 
> 
> +1, we should move people away from brtcl. there is enough confusion
> among users looking at bridge attributes.,
> 
> ip -d link show
> bridge -d link show
> brctl

Why is this confusing? One can simply pick the most appropriate tool.

> Adding a 4th one  to the list is not going to ease the confusion.

Why do you say I'm adding a fourth (I guess) tool? I'm replacing the
third one.

> We should try to make the 'ip -d link show and bridge -d link show'
> outputs better. Any suggestions there from people will be useful.

To be honest, I don't see any problem with them -- they just do
different things.

-- 
Stefano